WC(1)

NAZWA
wc - wypisuje liczbę wierszy, słów i bajtów każdego z plików

SKŁADNIA
wc [OPCJA]... [PLIK]...
wc [OPCJA]... --files0-from=P

OPIS

Print newline, word, and byte counts for each FILE, and a total line if more than one FILE is specified. A word is a nonempty sequence of non white space delimited by white space characters or by start or end of input.

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

Poniższe opcje mogą być użyte do wybrania które z liczb mają być wypisane; kolejność jest zawsze następująca: liczba znaków nowego wiersza, liczba słów, liczba znaków, liczba bajtów, maksymalna długość wiersza.

-c, --bytes
    wypisuje liczbę bajtów

-m, --chars
    wypisuje liczbę znaków

-l, --lines
    wypisuje liczbę znaków nowego wiersza

--files0-from=P
    odczytuje wejście z plików o nazwach zakończonym znakiem NUL wypisanych w P, jeśli jako P podano -, to nazwy są odczytywane ze standardowego wejścia

-L, --max-line-length
    wypisuje maksymalną szerokość wyświetlania

-w, --words
    wypisuje liczbę słów

--total=KIEDY
    określa czy wypisywać wiersz z pełnym podsumowaniem; KIEDY może przyjąć wartości: auto (automatycznie), always (zawsze), only (tylko pełne podsumowanie, bez indywidualnych), never (nigdy).

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

AUTOR
Napisane przez Paula Rubina i Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2024 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/wc>
lub lokalnie, za pomocą info '(coreutils) wc invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Gwidon S. Naskrent <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.